import type { Environment } from "../../env";
import type { Expr } from "../../expr";
import type { EvaluateExpressionFn, EvaluatorContext } from "../context";
export declare function setEvaluateExpressionFn(fn: EvaluateExpressionFn): void;
export declare function evaluateExpression({ expr, env, context, }: {
    expr: Expr;
    env: Environment;
    context: EvaluatorContext;
}): Expr;
